Tenant template plans
Resolve tenant-template plan
Resolve a tenant-template plan without writing.
POST
/
v1
/
tenant-template-plans
Resolve tenant-template plan
curl --request POST \
--url https://api.getmillwork.dev/v1/tenant-template-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_deployment_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_deployment_id: '<string>'})
};
fetch('https://api.getmillwork.dev/v1/tenant-template-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"access_lane": "diagnostic",
"alternative_plans": [
{
"access_lane": "byok",
"application_supported": true,
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"template_id": "byok-open-model",
"template_version": "<string>"
}
],
"blockers": [
{
"code": "<string>",
"detail": "<string>",
"next_action": {
"detail": "<string>",
"type": "<string>"
}
}
],
"byok_source": {
"auth_scheme": "<string>",
"certification_id": "<string>",
"model_key": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
},
"catalog_row": {
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"model_deployment_id": "<string>"
},
"connection": {
"access_lane": "byok",
"commercial_owner": "customer",
"connection_id": "<string>"
},
"deployment": {
"assurance_evidence_ref": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
},
"model": {
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
},
"offering": {
"auth_scheme": "api_key",
"certification": {
"certification_id": "<string>",
"evidence_schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"standing": "conformant",
"subject": {
"auth_scheme": "api_key",
"location": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
}
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"location": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant": {
"assurance_evidence_ref": "<string>",
"model_key": "<string>",
"release_assurance": "unknown",
"served_variant_id": "<string>",
"source_id": "<string>",
"upstream_ref": "<string>"
},
"tested_at": "2023-11-07T05:31:56Z"
},
"provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "<string>",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"source": {
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"digest": "<string>",
"effects": [
{
"description": "<string>",
"id": "<string>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"file_manifest": [
{
"kind": "secretless_config",
"path": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z",
"maximum_spend_usd": 123,
"qualification": {
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"state": "no_credential"
},
"request_policy": {
"budget": {
"max_cost_usd": 123,
"max_runtime_s": 123
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"mode": "echo",
"verifier": "platform.echo"
},
"request_preset_id": "<string>",
"starter_credit": {
"balance_usd": 123,
"covers_maximum_spend": true,
"funded_state": "funded"
},
"template_id": "starter",
"template_version": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Body
application/json
Response
Default Response
Available options:
diagnostic, millwork_pool, byok Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^sha256:[0-9a-f]{64}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
starter, pooled-open-model, byok-open-model ⌘I
Resolve tenant-template plan
curl --request POST \
--url https://api.getmillwork.dev/v1/tenant-template-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_deployment_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_deployment_id: '<string>'})
};
fetch('https://api.getmillwork.dev/v1/tenant-template-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"access_lane": "diagnostic",
"alternative_plans": [
{
"access_lane": "byok",
"application_supported": true,
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"template_id": "byok-open-model",
"template_version": "<string>"
}
],
"blockers": [
{
"code": "<string>",
"detail": "<string>",
"next_action": {
"detail": "<string>",
"type": "<string>"
}
}
],
"byok_source": {
"auth_scheme": "<string>",
"certification_id": "<string>",
"model_key": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
},
"catalog_row": {
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"model_deployment_id": "<string>"
},
"connection": {
"access_lane": "byok",
"commercial_owner": "customer",
"connection_id": "<string>"
},
"deployment": {
"assurance_evidence_ref": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
},
"model": {
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
},
"offering": {
"auth_scheme": "api_key",
"certification": {
"certification_id": "<string>",
"evidence_schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"standing": "conformant",
"subject": {
"auth_scheme": "api_key",
"location": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
}
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"location": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant": {
"assurance_evidence_ref": "<string>",
"model_key": "<string>",
"release_assurance": "unknown",
"served_variant_id": "<string>",
"source_id": "<string>",
"upstream_ref": "<string>"
},
"tested_at": "2023-11-07T05:31:56Z"
},
"provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "<string>",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"source": {
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"digest": "<string>",
"effects": [
{
"description": "<string>",
"id": "<string>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"file_manifest": [
{
"kind": "secretless_config",
"path": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z",
"maximum_spend_usd": 123,
"qualification": {
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"state": "no_credential"
},
"request_policy": {
"budget": {
"max_cost_usd": 123,
"max_runtime_s": 123
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"mode": "echo",
"verifier": "platform.echo"
},
"request_preset_id": "<string>",
"starter_credit": {
"balance_usd": 123,
"covers_maximum_spend": true,
"funded_state": "funded"
},
"template_id": "starter",
"template_version": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}